/* =====================================================================

   LiMo Reversi 
      Graphic Data Manage.  - $BA^$7JQ$o$k%G!<%?$N4IM}(B

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef RV_DATA

#define RV_DATA

#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk-pixbuf/gdk-pixbuf-loader.h>


#include <gdk-pixbuf/gdk-pixbuf.h>

/* -------------------------------------------------------------
 --- Structure
-------------------------------------------------------------- */

typedef struct _RVBREAK RVBREAK;

struct _RVBREAK
{
  GdkPixbuf  *back;
  GdkPixbuf  *picture;
  GdkPixbuf  *parts;
};


#ifdef __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */


  /* -------------------------------------------------------------
     --- Extern
   -------------------------------------------------------------- */
  void       RVDataInit(void);
  void       RVDataIndex(void);
  void       RVDataFree(void);
  void       RVDataSoundRequest(gchar*);
  void       RVDataBGMRequest(gint);
  void       RVDataBGMDevice(gint);
  gint       RVDataStageNum(void);
  void       RVDataStage(gint);
  gint       RVDataComLevel(void);
  GdkPixbuf *RVDataKoma(void);
  GdkPixbuf *RVDataGrid(void);
  GdkPixbuf *RVDataTitle(void);
  GdkPixbuf *RVDataTitleParts(gint*, gint*);
  GdkPixbuf *RVDataCircle(void);
  GdkPixbuf *RVDataCircleBack(void);
  void       RVDataStageGraphic(void);
  GdkPixbuf *RVDataContinueBack(void);
  GdkPixbuf *RVDataContinueParts(void);
  GdkPixbuf *RVDataContinueChara(void);
  GdkPixbuf *RVDataGameover(void);
  GdkPixbuf *RVDataAllclear(void);
  void       RVDataBreaktime(RVBREAK*);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif


