/* =====================================================================

   LiMo - Liblary
      Input System.  - ϥ󥿡ե

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef RR_INPUT

#define RR_INPUT

#ifdef __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */

/* -------------------------------------------------------------
 --- Structure
-------------------------------------------------------------- */

typedef struct _RRClick RRClick;

struct _RRClick
{
  gint  x, y;                /* å줿 */
};


/* -------------------------------------------------------------
 --- Extern
-------------------------------------------------------------- */
void       RRInputInit(GtkWidget*);
gboolean   RRInputSignalKey(GtkWidget*, GdkEventKey*, gpointer);
gboolean   RRInputSignalPress(GtkWidget*, GdkEventButton*, gpointer);
void       RRInputFlashKey(void);
void       RRInputFlashClick(void);
gchar      RRInputKey(void);
RRClick   *RRInputClick(void);


#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif



