/* =====================================================================

   LiMo Reversi 
      Break time.      - ơ֥ǥ

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

/* -------------------------------------------------------------
 --- History

  Jun.24.2000  Programing start

-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Preface

  RVBreakInit          -- ֥쥤̽
  RVBreakMain          -- ֥쥤
  RVBreakFree          -- ֥쥤̸

-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Include
-------------------------------------------------------------- */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk-pixbuf/gdk-pixbuf-loader.h>
#include "rr_main.h"
#include "rr_screen.h"
#include "rr_spriteman.h"
#include "rr_input.h"
#include "rv_data.h"
#include "rv_board.h"



/* -------------------------------------------------------------
 --- Ƽ
-------------------------------------------------------------- */

/* --- ƥåץ٥ - ֥졼 */
enum {
  B_INIT = 0,
  B_APPEAR,
  B_JINGLE,
  B_WAIT,
  B_END
};


/* -------------------------------------------------------------
 --- ؿ
-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- ѿ
-------------------------------------------------------------- */

/* --- ޡ */
gint  timer;
gint  step;
gint  cicle;

/* --- ɽ */
GdkPixmap  *break_back, *break_parts;
GdkBitmap  *break_mask;
GdkPixmap  *picture;
RRSObj     *back_sprite, *parts_sprite, *pic_sprite[64];




/* -----------------------------------------------------------------------
 --- ץ
------------------------------------------------------------------------ */

/* -------------------------------------------------------------
  RVBreakInit    -- ֥쥤̽

   return : void
   void

-------------------------------------------------------------- */
void  RVBreakInit(void)
{
  RVBREAK  pack;
  GdkPixbuf *pix;
  RRSprite *sp;
  gint  i;

  step = B_INIT;
  cicle = 0;

  RVDataBreaktime(&pack);

  pix = pack.back;
  gdk_pixbuf_render_pixmap_and_mask(pix, &break_back, NULL, 128);
  gdk_pixbuf_unref(pix);
  pix = pack.parts;
  gdk_pixbuf_render_pixmap_and_mask(pix, &break_parts, &break_mask, 128);
  gdk_pixbuf_unref(pix);
  pix = pack.picture;
  gdk_pixbuf_render_pixmap_and_mask(pix, &picture, NULL, 128);
  gdk_pixbuf_unref(pix);

  /* -- SPRITE ޥ͡㡼 */
  RRSpritemanInit();
  back_sprite = RRSpritemanBGNew();
  back_sprite->sw = TRUE;
  back_sprite->update = TRUE;
  back_sprite->z  = 10000;
  sp = &back_sprite->obj;
  sp->sw = TRUE;
  sp->mask_offset = TRUE;
  sp->objmap = break_back;
  sp->objmask = NULL;
  sp->x = sp->y = 0;
  sp->ox = sp->oy = 0;
  sp->offset_x = sp->offset_y = 0;
  sp->w = 640;
  sp->h = 480;
  parts_sprite = RRSpritemanNew();
  parts_sprite->sw = TRUE;
  parts_sprite->update = TRUE;
  parts_sprite->z  = 1000;
  sp = &parts_sprite->obj;
  sp->sw = FALSE;
  sp->mask_offset = TRUE;
  sp->objmap = break_parts;
  sp->objmask = break_mask;
  sp->x = 490;
  sp->y = 435;
  sp->ox = 0;
  sp->oy = 450;
  sp->offset_x = sp->offset_y = 0;
  sp->w = 150;
  sp->h = 45;
  /* -- ץ饤 */
  for(i=0; i<64; i++) {
    pic_sprite[i] = RRSpritemanNew();
    pic_sprite[i]->sw = FALSE;
    pic_sprite[i]->update = TRUE;
    pic_sprite[i]->z  = 3000;
    pic_sprite[i]->obj.sw = FALSE;
    pic_sprite[i]->obj.mask_offset = TRUE;
    pic_sprite[i]->obj.objmap = picture;
    pic_sprite[i]->obj.objmask = NULL;
    pic_sprite[i]->obj.x = 88 + ((i % 8) * 58);
    pic_sprite[i]->obj.y =  8 + ((i / 8) * 58);
    pic_sprite[i]->obj.ox = ((i % 8) * 58);
    pic_sprite[i]->obj.oy = ((i / 8) * 58);
    pic_sprite[i]->obj.offset_x = 0;
    pic_sprite[i]->obj.offset_y = 0;
    pic_sprite[i]->obj.w = 58;
    pic_sprite[i]->obj.h = 58;
  }
}


/* -------------------------------------------------------------
  RVBreakMain    -- ֥쥤

   return : void
   void

-------------------------------------------------------------- */
gint  RVBreakMain(void)
{
  RVKoma *board;
  gint  r, time, count;

  r = 1;
  timer++;
  time =  timer * 20 / RRMainIntervalTime();

  /* -- ץ饤ȴɽ */
  RRSpritemanAutoUpdate(0);

  switch(step) {
  case B_INIT:
    timer = 0;
    step = B_APPEAR;
    break;

    /* -- ɽ */
  case B_APPEAR:
    if ((time % 4) == 0) {
      count = (time / 4) - 1;
      if (count < 64) {
	board = RVBoardKoma(count);
	if ((board->stat == 2) || (board->stat == 0)) {
	  pic_sprite[count]->sw = TRUE;
	  pic_sprite[count]->obj.sw = TRUE;
	  cicle++;
	  switch((cicle % 4)) {
	  case 0:
	    RVDataSoundRequest("S ON 0 8 180 180");
	    break;
	  case 1:
	    RVDataSoundRequest("S ON 1 8 180 180");
	    break;
	  case 2:
	    RVDataSoundRequest("S ON 2 8 180 180");
	    break;
	  case 3:
	    RVDataSoundRequest("S ON 3 8 180 180");
	    break;
	  }
	}
      }
    }
    if (time > (66 * 4)) {
      RVDataSoundRequest("S ON 0 9 255 255");
      timer = 0;
      step = B_JINGLE;
    }
    break;

    /* -- 󥰥ѥ */
  case B_JINGLE:
    if (time > (6 * 20)) {
      RRInputFlashClick();
      timer = 0;
      step = B_WAIT;
    }
    break;

    /* -- 桼Ԥ */
  case B_WAIT:
    parts_sprite->obj.sw = TRUE;
    parts_sprite->obj.y = 435 - abs(sin(2 * 3.14 * (time%40) / 40) * 16);
    if (RRInputClick() != NULL) {
      timer = 0;
      step = B_END;
    }
    break;

    /* -- ޤ */
  case B_END:
    r = 0;
    break;
  }

  return(r);
}


/* -------------------------------------------------------------
  RVBreakFree    -- ֥쥤̸

   return : void
   void

-------------------------------------------------------------- */
void  RVBreakFree(void)
{
  if (break_back != NULL) gdk_pixmap_unref(break_back);
  if (break_parts != NULL) gdk_pixmap_unref(break_parts);
  if (break_mask != NULL) gdk_bitmap_unref(break_mask);
  if (picture != NULL) gdk_pixmap_unref(picture);

  /* -- SPRITE ޥ͡㡼 */
  RRSpritemanFree();
}


