/* =====================================================================

   LiMo Reversi 
      Display System.  - $B2hLLI=<(<~$j$N=8LsItJ,(B

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef RV_DISPLAY

#define RV_DISPLAY

#include <gdk-pixbuf/gdk-pixbuf.h>

/* --- $B6p%"%K%a!<%7%g%s$N;~4V@_Dj(B */
#define ANIME_TIME  12

#ifdef __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */


/* -------------------------------------------------------------
 --- Extern
-------------------------------------------------------------- */
  void       RVDispInit(void);
  void       RVDispFree(void);
  void       RVDispLoadBoard(GdkPixbuf*);
  void       RVDispLoadShade(GdkPixbuf*);
  void       RVDispLoadScore(GdkPixbuf*);
  void       RVDispLoadChara(GdkPixbuf*);
  void       RVDispLoadPicture(GdkPixbuf*);
  void       RVDispLoadInfo(GdkPixbuf*);
  void       RVDispDrawAll(void);
  void       RVDispDraw(void);
  void       RVDispLightMode(gboolean);
  void       RVDispScoreSet(gint, gint);
  void       RVDispScorePos(gint, gint);
  void       RVDispCharaSet(gint);
  void       RVDispCharaPos(gint, gint);
  void       RVDispInfoDisp(gint);
  void       RVDispInfoPos(gint, gint);
  void       RVDispKoma(void);
  void       RVDispKomaAnim(void);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif


