/* =====================================================================

   LiMo Reversi 
      Title demo.      - ȥ䥲४Сβ̽

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

/* -------------------------------------------------------------
 --- History

  Jun.12.2000  Programing start

-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Preface

  RVTitleCircleInit    -- 륹ץå̽
  RVTitleCircleMain    -- 륹ץå
  RVTitleCircleFree    -- 륹ץå̽λ
  RVTitleTitleInit     -- ȥ̽
  RVTitleTitleMain     -- ȥ
  RVTitleTitleFree     -- ȥ̽λ
  RVTitleGmovInit      -- ४С̽
  RVTitleGmovMain      -- ४С
  RVTitleGmovFree      -- ४С̽λ
  RVTitleContInit      -- ƥ˥塼̽
  RVTitleContMain      -- ƥ˥塼
  RVTitleContFree      -- ƥ˥塼̽λ
  RVTitleClearInit     -- 륯ꥢ̽
  RVTitleClearMain     -- 륯ꥢ
  RVTitleClearFree     -- 륯ꥢ̽λ

-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Include
-------------------------------------------------------------- */

#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk-pixbuf/gdk-pixbuf-loader.h>
#include "rr_main.h"
#include "rr_screen.h"
#include "rr_spriteman.h"
#include "rr_input.h"
#include "rv_data.h"



/* -------------------------------------------------------------
 --- Ƽ
-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- ؿ
-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- ѿ
-------------------------------------------------------------- */

/* --- ޡ */
static gint  timer;
gint cicle;

/* --- ɽ */
GdkPixmap  *title, *click;
GdkPixbuf  *fumi, *fumi_back, *tmp_pix;
GdkPixmap  *back, *logo;
GdkPixmap  *contback, *cont_num, *cont_chara;
RRSObj     *board_sprite, *number_sprite, *chara_sprite;
GdkPixmap  *gmovback;

/* --- ȥѡĤΰ */
gint  tp_x, tp_y, tp_w, tp_h;


/* -----------------------------------------------------------------------
 --- ץ
------------------------------------------------------------------------ */

/* -------------------------------------------------------------
  RVTitleCircleInit    -- 륹ץå̽

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleCircleInit(void)
{
  gint  w, h;

  RRInputFlashClick();
  fumi = RVDataCircle();
  fumi_back = RVDataCircleBack();
  gdk_pixbuf_render_pixmap_and_mask(fumi_back, &back, NULL, 128);
  w = gdk_pixbuf_get_width(fumi);
  h = gdk_pixbuf_get_height(fumi);
  tmp_pix = gdk_pixbuf_new(GDK_COLORSPACE_RGB, FALSE, 8, w, h);
  RRScreenPutPixmap(back, 0, 0);
  RVDataSoundRequest("S ON 0 0 255 255");
  timer = 120;
}

/* -------------------------------------------------------------
  RVTitleCircleMain    -- 륹ץå

   return : ¹椫ݤ(1=working, 0=stop)
   void

-------------------------------------------------------------- */
gint  RVTitleCircleMain(void)
{
  GdkPixmap  *tmpbuf;
  gint  x, y, w, h;
  gint  ret;

  ret = 1;

  w = gdk_pixbuf_get_width(fumi);
  h = gdk_pixbuf_get_height(fumi);
  x = (640 - w) / 2;
  y = (480 - h) / 2;
  if (RRInputClick() != NULL) {
    if (timer > 60) {
      RVDataSoundRequest("S ON 1 1 210 210");
    }
    timer = 0;
  }
  else if (timer == 60) {
    RVDataSoundRequest("S ON 1 1 210 210");
  }

  if (timer > 60) {
    gdk_pixbuf_copy_area(fumi_back, x, y, w, h, tmp_pix, 0, 0);
    gdk_pixbuf_composite(fumi, tmp_pix,
			 0, 0, w, h, 0, 0, 1.0, 1.0,
			 GDK_INTERP_NEAREST, (255*(60-(timer-60))/60));
    gdk_pixbuf_render_pixmap_and_mask(tmp_pix, &tmpbuf, NULL, 0x80);
  }
  else {
    gdk_pixbuf_copy_area(fumi_back, x, y, w, h, tmp_pix, 0, 0);
    gdk_pixbuf_composite(fumi, tmp_pix,
			 0, 0, w, h, 0, 0, 1.0, 1.0,
			 GDK_INTERP_NEAREST, 255);
    gdk_pixbuf_render_pixmap_and_mask(tmp_pix, &tmpbuf, NULL, 0x80);
  }
  RRScreenPutPixmap(tmpbuf, x, y);
  gdk_pixmap_unref(tmpbuf);  

  timer = timer -  (20 / RRMainIntervalTime());
  if (timer <= 0) {
    ret = 0;
  }
  return(ret);
}

/* -------------------------------------------------------------
  RVTitleCircleFree    -- 륹ץå̽λ

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleCircleFree(void)
{
  RVDataSoundRequest("S ALLRESET");
  if (fumi != NULL) gdk_pixbuf_unref(fumi);
  if (fumi_back != NULL) gdk_pixbuf_unref(fumi_back);
  if (tmp_pix != NULL) gdk_pixbuf_unref(tmp_pix);
  if (back != NULL) gdk_pixmap_unref(back);
}


/* -------------------------------------------------------------
  RVTitleTitleInit     -- ȥ̽

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleTitleInit(void)
{
  GdkPixbuf *pix;

  timer = 0;
  RRInputFlashClick();
  pix = RVDataTitle();
  gdk_pixbuf_render_pixmap_and_mask(pix, &title, NULL, 128);
  gdk_pixbuf_unref(pix);
  pix = RVDataTitleParts(&tp_x, &tp_y);
  tp_w = gdk_pixbuf_get_width(pix);
  tp_h = gdk_pixbuf_get_height(pix);
  gdk_pixbuf_render_pixmap_and_mask(pix, &click, NULL, 128);
  gdk_pixbuf_unref(pix);
  RRScreenPutPixmap(title, 0, 0);
}

/* -------------------------------------------------------------
  RVTitleTitleMain     -- ȥ

   return : void
   void

-------------------------------------------------------------- */
gint  RVTitleTitleMain(void)
{
  gint  ret;

  ret = 1;
  if (RRInputClick() != NULL) {
    RVDataBGMRequest(0);
    RVDataSoundRequest("S ON 0 2 255 255");
    ret = 0;
  }
  return(ret);
}

/* -------------------------------------------------------------
  RVTitleTitleAnim     -- ȥʬ

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleTitleAnim(void)
{
  RRSprite pt;

  timer++;
  if ((timer % 2) == 1) {
    pt.sw = TRUE;
    pt.mask_offset = FALSE;
    pt.objmap = click;
    pt.objmask = NULL;
    pt.x = tp_x;
    pt.y = tp_y;
    pt.w = tp_w;
    pt.h = tp_h;
    pt.ox = 0;
    pt.oy = 0;
    pt.offset_x = pt.offset_y = 0;
    RRScreenObjPut(&pt);
  }
  else {
    pt.sw = TRUE;
    pt.mask_offset = FALSE;
    pt.objmap = title;
    pt.objmask = NULL;
    pt.x = tp_x;
    pt.y = tp_y;
    pt.w = tp_w;
    pt.h = tp_h;
    pt.ox = tp_x;
    pt.oy = tp_y;
    pt.offset_x = pt.offset_y = 0;
    RRScreenObjPut(&pt);
  }
}

/* -------------------------------------------------------------
  RVTitleTitleFree     -- ȥ̽λ

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleTitleFree(void)
{
  if (title != NULL) gdk_pixmap_unref(title);
  if (click != NULL) gdk_pixmap_unref(click);
}



/* -------------------------------------------------------------
  RVTitleContInit     -- ƥ˥塼̽

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleContInit(void)
{
  GdkPixbuf *pix;
  RRSprite *sp;

  timer = 0;
  cicle = 0;
  RRInputFlashClick();

  pix = RVDataContinueBack();
  gdk_pixbuf_render_pixmap_and_mask(pix, &contback, NULL, 128);
  gdk_pixbuf_unref(pix);
  RRScreenPutPixmap(contback, 0, 0);

  pix = RVDataContinueParts();
  gdk_pixbuf_render_pixmap_and_mask(pix, &cont_num, NULL, 128);
  gdk_pixbuf_unref(pix);

  pix = RVDataContinueChara();
  gdk_pixbuf_render_pixmap_and_mask(pix, &cont_chara, NULL, 128);
  gdk_pixbuf_unref(pix);

  /* -- SPRITE ޥ͡㡼 */
  RRSpritemanInit();
  board_sprite = RRSpritemanBGNew();
  board_sprite->sw = TRUE;
  board_sprite->update = TRUE;
  board_sprite->z  = 10000;
  sp = &board_sprite->obj;
  sp->sw = TRUE;
  sp->mask_offset = TRUE;
  sp->objmap = contback;
  sp->objmask = NULL;
  sp->x = sp->y = 0;
  sp->ox = sp->oy = 0;
  sp->offset_x = sp->offset_y = 0;
  sp->w = 640;
  sp->h = 480;
  number_sprite = RRSpritemanNew();
  number_sprite->sw = TRUE;
  number_sprite->update = TRUE;
  number_sprite->z  = 1000;
  sp = &number_sprite->obj;
  sp->sw = TRUE;
  sp->mask_offset = TRUE;
  sp->objmap = cont_num;
  sp->objmask = NULL;
  sp->x = 240;
  sp->y = 208;
  sp->ox = 1600 - 160;
  sp->oy = 0;
  sp->offset_x = sp->offset_y = 0;
  sp->w = 160;
  sp->h = 160;
  chara_sprite = RRSpritemanNew();
  chara_sprite->sw = TRUE;
  chara_sprite->update = TRUE;
  chara_sprite->z  = 1000;
  sp = &chara_sprite->obj;
  sp->sw = TRUE;
  sp->mask_offset = TRUE;
  sp->objmap = cont_chara;
  sp->objmask = NULL;
  sp->x = 0;
  sp->y = 208;
  sp->ox = 0;
  sp->oy = 0;
  sp->offset_x = sp->offset_y = 0;
  sp->w = 240;
  sp->h = 272;

  RVDataSoundRequest("S ON 0 10 180 180");
}

/* -------------------------------------------------------------
  RVTitleContMain     -- ƥ˥塼

   return : void
   gint  1 = ¹
         0 = ƥ˥塼λ
         2 = ƥ˥塼λ

-------------------------------------------------------------- */
gint  RVTitleContMain(void)
{
  gint  ret, time, count;

  ret = 1;
  timer++;

  /* -- ץ饤ȴɽ */
  RRSpritemanAutoUpdate(0);

  time =  timer * 20 / RRMainIntervalTime();
  count = time / 20;
  if (count == 10) {
    ret = 0;
  }
  else {
    number_sprite->obj.ox = (1600 - 160) - (160 * count);
    if ((time % 20) == 0) {
      cicle++;
      switch((cicle % 4)) {
      case 0:
	RVDataSoundRequest("S ON 0 10 180 180");
	break;
      case 1:
	RVDataSoundRequest("S ON 1 10 180 180");
	break;
      case 2:
	RVDataSoundRequest("S ON 2 10 180 180");
	break;
      case 3:
	RVDataSoundRequest("S ON 3 10 180 180");
	break;
      }
    }
  }
  /* - ɤ! */
  count = (time / 16) % 4;
  chara_sprite->obj.ox = 240 * count;
  chara_sprite->obj.x = 400 * (count > 1);

  /* -- åǥƥ˥塼 */
  if (RRInputClick() != NULL) {
    RVDataSoundRequest("S ON 0 2 255 255");
    ret = 2;
  }
  return(ret);
}

/* -------------------------------------------------------------
  RVTitleContFree     -- ƥ˥塼̽λ

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleContFree(void)
{
  if (contback != NULL) gdk_pixmap_unref(contback);
  if (cont_num != NULL) gdk_pixmap_unref(cont_num);
  if (cont_chara != NULL) gdk_bitmap_unref(cont_chara);

  /* -- SPRITE ޥ͡㡼 */
  RRSpritemanFree();
}


/* -------------------------------------------------------------
  RVTitleGmovInit     -- ४С̽

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleGmovInit(void)
{
  GdkPixbuf *pix;

  timer = 0;

  pix = RVDataGameover();
  gdk_pixbuf_render_pixmap_and_mask(pix, &gmovback, NULL, 128);
  gdk_pixbuf_unref(pix);

  RVDataSoundRequest("S ON 0 12 255 255");

  RRScreenPutPixmap(gmovback, 0, 0);
}

/* -------------------------------------------------------------
  RVTitleGmovMain     -- ४С

   return : void
   gint  1 = ¹
         0 = ƥ˥塼λ
         2 = ƥ˥塼λ

-------------------------------------------------------------- */
gint  RVTitleGmovMain(void)
{
  gint  ret, time;

  ret = 1;
  timer++;

  time =  timer * 20 / RRMainIntervalTime();
  if ((time >= 160) || (RRInputClick() != NULL)) {
    ret = 0;
  }
  return(ret);
}

/* -------------------------------------------------------------
  RVTitleGmovFree     -- ४С̽λ

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleGmovFree(void)
{
  if (gmovback != NULL) gdk_pixmap_unref(gmovback);
}


/* -------------------------------------------------------------
  RVTitleClearInit     -- 륯ꥢ̽

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleClearInit(void)
{
  GdkPixbuf *pix;

  timer = 0;

  pix = RVDataAllclear();
  gdk_pixbuf_render_pixmap_and_mask(pix, &gmovback, NULL, 128);
  gdk_pixbuf_unref(pix);

  RVDataSoundRequest("S ON 0 11 255 255");

  RRScreenPutPixmap(gmovback, 0, 0);
}

/* -------------------------------------------------------------
  RVTitleClearMain     -- 륯ꥢ

   return : ¹ե饰
   void

-------------------------------------------------------------- */
gint  RVTitleClearMain(void)
{
  gint  ret, time;

  ret = 1;
  timer++;

  time =  timer * 20 / RRMainIntervalTime();
  if ((time >= 160) || (RRInputClick() != NULL)) {
    ret = 0;
  }
  return(ret);
}

/* -------------------------------------------------------------
  RVTitleGmovFree     -- ४С̽λ

   return : void
   void

-------------------------------------------------------------- */
void  RVTitleClearFree(void)
{
  if (gmovback != NULL) gdk_pixmap_unref(gmovback);
}


/*=================================================================*/
/*  ʥ֥롼                                         */
/*=================================================================*/
